const path = require('path');
const router = require('express').Router();

// Route - Startseite
router.get('/', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/startseite/startseite.html'));
})

router.get('/example', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/example/index.html'));
})

// Route - Login
router.get('/login', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/login/login.html'));
})

// Route - Registrieren
router.get('/registrieren', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/registrieren/registrieren.html'));
})

// Route - HeaderFooter
router.get('/header_footer', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../scripts/einfügenHeaderFooter.js'));
})

    // Route - Kopfzeile
    router.get('/header', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/header_footer/header.html'));
    })

    // Route - Fußzeile
    router.get('/footer', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/header_footer/footer.html'));
    })

// Route - Shop (Alle Produkte)
router.get('/shop', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/shop/shop.html'));
})

    // Route - Shop_Motorrad (Filtern nach Motorrad Produkten)
    router.get('/shop/motorrad', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/shop/shop_motorrad.html'));
    })

    // Route - Shop_Oldtimer (Filtern nach Oldtimer Produkten)
    router.get('/shop/oldtimer', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/shop/shop_oldtimer.html'));
    })

    // Route - Shop_Sportwagen (Filtern nach Sportwagen Produkten)
    router.get('/shop/sportwagen', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/shop/shop_sportwagen.html'));
    })

    // Route - Shop_LKW (Filtern nach LKW Produkten)
    router.get('/shop/lkw', (req, res) => {
        res.sendFile(path.join(__dirname, '../../../public/shop/shop_lkw.html'));
    })

    router.get('/bestellformular', (req, res) => {
         res.sendFile(path.join(__dirname, '../../../public/bestellformular/bestellformular.html'));
    })
router.get('/Warenkorb', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/warenkorb/warenkorb.html'));
})

router.get('/bestellformular', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/bestellformular/bestellformular.html'));
})

router.get('/bestellung', (req, res) => {
    res.sendFile(path.join(__dirname, '../../../public/bestellung/bestellung.html'));
})
module.exports = router;